-- glass.lua for glass ball

glass = love.graphics.newPixelEffect [[
		extern float x, y, size, fog, frost, mag, r, g, b;
		vec4 effect(vec4 global_color, Image texture, vec2 tc, vec2 pc )
		{vec4 pixel;
		float root = sqrt(16*(x-tc.x)*(x-tc.x)/9+(y-tc.y)*(y-tc.y));
		float a = mag / 100;
		if (root <= size)
			{ pixel = Texel(texture,
				vec2(
					3 * (x-a*(tc.x-x) / (root-size))/4,
					y - a * (tc.y-y) / (root-size) )
				);
			pixel.r = clamp( pixel.r + r, 0, 1 );
			pixel.g = clamp( pixel.g + g, 0, 1 );
			pixel.b = clamp( pixel.b + b, 0, 1 );
			pixel.a = frost;}
			else { pixel = Texel(texture, vec2( tc.x, tc.y ) );pixel.a = fog;}
			return pixel;
			}
		]]
