-- keyboard.lua -- keyboard responses glass ball

function keyboard_update( dt )	-- continuous changes while key held
	if ky.isDown('left' )	then lg.x=lg.x-dt glass:send('x', lg.x ) end
	if ky.isDown('right')	then lg.x=lg.x+dt glass:send('x', lg.x ) end
	if ky.isDown('down' )	then lg.y=lg.y-dt glass:send('y', lg.y ) end
	if ky.isDown('up'   )	then lg.y=lg.y+dt glass:send('y', lg.y ) end
	if ky.isDown( 'q'   )	then lg.r = lg.r - dt glass:send('r', lg.r ) end
	if ky.isDown( 'w'   )	then lg.r = lg.r + dt glass:send('r', lg.r ) end
	if ky.isDown( 'a'   )	then lg.g = lg.g - dt glass:send('g', lg.g ) end
	if ky.isDown( 's'   )	then lg.g = lg.g + dt glass:send('g', lg.g ) end
	if ky.isDown( 'z'   )	then lg.b = lg.b - dt glass:send('b', lg.b ) end
	if ky.isDown( 'x'   )	then lg.b = lg.b + dt glass:send('b', lg.b ) end
	if ky.isDown( 'k'   )	then lg.size = lg.size+dt glass:send('size', lg.size ) end
	if ky.isDown( 'j'   )	then lg.size=lg.size>dt and lg.size-dt or lg.size glass:send('size',lg.size) end
	if ky.isDown( 'm'   )	then lg.mag  = lg.mag  + dt glass:send('mag',  lg.mag  ) end
	if ky.isDown( 'n'   )	then lg.mag=lg.mag>1 and lg.mag-0.01 or lg.mag glass:send('mag',lg.mag) end
	if ky.isDown( 'g'   )	then lg.fog=lg.fog<1  and lg.fog+dt or lg.fog glass:send('fog',  lg.fog  ) end
	if ky.isDown( 'f'   )	then lg.fog=lg.fog>dt and lg.fog-dt or lg.fog glass:send('fog',lg.fog) end
	if ky.isDown( 'b'   )	then lg.frost=lg.frost<1  and lg.frost+dt or lg.frost glass:send('frost',  lg.frost  ) end
	if ky.isDown( 'v'   )	then lg.frost=lg.frost>dt and lg.frost-dt or lg.frost glass:send('frost',lg.frost) end
	end

function love.keypressed( key )  -- one operation per key press
	if key == 'escape'	then love.event.push('quit')			end
	if key == 'i'		then show.help		= not show.help		end
	if key == 'r'		then show.rotation	= not show.rotation	end
	end
